Subject: Re: Garbage collector ('gc') deletes valid user roots when $HOME is inaccessible

From: Liliana Marie Prikler <[email-masked]>
Date: Thu, 20 Oct 2022 13:41:02 +0200

Am Mittwoch, dem 19.10.2022 um 10:14 -0700 schrieb Felix Lechner:
> Hi,
> 
> The Guix garbage collector ('gc') deletes valid user roots when those
> links are not resolvable via the user's home folder in places such as
> 
>     ~/.cache/guix/profiles/
> 
> which potentially leaves the user without a working profile.
The output of `guix gc --list-roots' seems to suggest that the actual
garbage collector roots are in /var/guix/profiles (note that root sees
the roots of all users, whereas users only see their own).

More importantly, all GC roots in /home seem to point to the cache used
by guix shell.  By definition, everything in XDG_CACHE_HOME should be
removable without consequences.  Is this not the case here?

Cheers